org.eclipse.cdt.core.dom.ast.c

## Interface ICASTCompositeTypeSpecifier

All Superinterfaces:
  IASTCompositeTypeSpecifier, IASTDeclarationListOwner, IASTDeclSpecifier, IASTNameOwner, IASTNode, ICASTDeclSpecifier

    public interface ICASTCompositeTypeSpecifier
    extends IASTCompositeTypeSpecifier, ICASTDeclSpecifier

Structs and Unions in C can be qualified w/restrict keyword.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTCompositeTypeSpecifier

`k_last, k_struct, k_union, MEMBER_DECLARATION, TYPE_NAME`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.c.ICASTDeclSpecifier

`ALIGNMENT_SPECIFIER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier

`sc_auto, sc_extern, sc_mutable, sc_register, sc_static, sc_typedef, sc_unspecified`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICASTCompositeTypeSpecifier` `copy()` Returns a mutable copy of the tree rooted at this node.
`ICASTCompositeTypeSpecifier` `copy(IASTNode.CopyStyle style)` Returns a mutable copy of the tree rooted at this node.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTCompositeTypeSpecifier

`addMemberDeclaration, getKey, getMembers, getName, getScope, setKey, setName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclarationListOwner

`addDeclaration, getDeclarations`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.c.ICASTDeclSpecifier

`getAlignmentSpecifiers, setAlignmentSpecifiers`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTDeclSpecifier

`getStorageClass, isConst, isInline, isRestrict, isVolatile, setConst, setInline, setRestrict, setStorageClass, setVolatile`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isActive, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Method Detail

#### copy

    ICASTCompositeTypeSpecifier copy()

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Calling this method is equivalent to `copy(CopyStyle.withoutLocations)`.

Specified by:
  `copy` in interface `IASTCompositeTypeSpecifier`
Specified by:
  `copy` in interface `IASTDeclSpecifier`
Specified by:
  `copy` in interface `IASTNode`
Specified by:
  `copy` in interface `ICASTDeclSpecifier`
Since:
  5.1

#### copy

    ICASTCompositeTypeSpecifier copy(IASTNode.CopyStyle style)

Description copied from interface: `IASTNode`
Returns a mutable copy of the tree rooted at this node. The following postconditions hold:

     copy.getParent() == null
     copy.getPropertyInParent() == null
     copy.isFrozen() == false

Preprocessor nodes do not currently support being copied. Implicit name nodes are not copied, instead they can be regenerated if required.

Specified by:
  `copy` in interface `IASTDeclSpecifier`
Specified by:
  `copy` in interface `IASTNode`
Parameters:
  `style` - `IASTNode.CopyStyle` create a copy with or without locations. Please see `IASTNode.CopyStyle` for restrictions on copies with Locations.
Since:
  5.3